classification
Title: xmlrpc can't do proxied HTTP
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.2
process
Status: open Resolution: accepted
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: barry, bbum, djc, gjb1002, orsenthil, techtonik
Priority: normal Keywords:

Created on 2002-12-04 22:04 by bbum, last changed 2014-02-03 18:21 by BreamoreBoy.

Files
File name Uploaded Description Edit
HTTPTransport.py bbum, 2002-12-08 17:07
Messages (8)
msg53707 - (view) Author: Bill Bumgarner (bbum) Date: 2002-12-04 22:04
The current xmlrpclib can't communicate through a proxy
server.   In particular, the two Transport classes
contained within xmlrpclib use httplib directly and, as
such, do not support the proxy handling as offered by
urllib.

Or so it seems.

I'm in dire need of support for proxies in xmlrpclib
and will be investigating creating a custom Transport
class that uses urllib as opposed to httplib to gain
support for proxies.

Assuming success, I'll post the new transport class
here.   In the interim, I figured I would log a bug in
case anyone else is interested in working on the
problem (or already has a solution :).

b.bum
bbum@mac.com
msg53708 - (view) Author: Bill Bumgarner (bbum) Date: 2002-12-08 17:07
Logged In: YES 
user_id=103811

As discussed on python-dev and with Fredrick Lundh, I
created an HTTPTransport class that uses urllib2 to
implement the HTTP transport.   It works around a bug in
urllib2 [handler ordering] and augments the request dispatch
found in the Transport class.

I'm using it in a production context and have tested it
fairly heavily.
msg69044 - (view) Author: anatoly techtonik (techtonik) Date: 2008-07-01 13:41
I will be second to emphasize the importance of using XML-RPC through a
proxy. bzr behind a proxy can't be used with launchpad because of this bug.
msg71420 - (view) Author: Geoffrey Bache (gjb1002) Date: 2008-08-19 14:34
Somebody else here in desperate need of this bug being fixed, both to
talk to bazaar and bugzilla...
msg71421 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2008-08-19 14:42
It's a missing feature, not a bug in the existing code.  But if you're
desperate, why not just use the transport implementation that's attached
to this issue?
msg71727 - (view) Author: Geoffrey Bache (gjb1002) Date: 2008-08-22 07:24
Well, strictly speaking, yes. It just feels like a rather major omission
(when Python can do xmlrpc and handle proxies you hope it will handle
the combination).

"Desperate" doesn't really have a timeline, strangely enough :) I know I
will be talking to bazaar and bugzilla behind a proxy in the mid-term
future and it would be very useful to use an officially sanctioned
solution (though of course I will try the attached file if there isn't
one at the time).

I see Python 2.6 is nearing release candidates : is this likely to be
included or will we have to wait for 2.7 now?
msg72623 - (view) Author: Dirkjan Ochtman (djc) * (Python committer) Date: 2008-09-05 19:56
Would this be solved by issue1424152?
msg189984 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2013-05-25 17:06
Could someone take a look at this while investigating other xmlrpc issues e.g. #7727.
History
Date User Action Args
2014-02-03 18:21:39BreamoreBoysetnosy: - BreamoreBoy
2013-05-25 17:06:03BreamoreBoysetnosy: + BreamoreBoy
messages: + msg189984
2010-07-25 10:18:28BreamoreBoysetassignee: effbot -> orsenthil
nosy: + orsenthil, - effbot
2010-07-10 05:47:11terry.reedysetversions: + Python 3.2, - Python 2.6
2008-09-05 19:56:16djcsetnosy: + djc
messages: + msg72623
2008-08-22 07:24:22gjb1002setmessages: + msg71727
2008-08-19 14:42:52effbotsetmessages: + msg71421
2008-08-19 14:34:05gjb1002setnosy: + gjb1002
messages: + msg71420
2008-07-02 14:29:38barrysetnosy: + barry
2008-07-01 13:41:18techtoniksetnosy: + techtonik
messages: + msg69044
2008-01-05 18:01:05christian.heimessetversions: + Python 2.6
2002-12-04 22:04:35bbumcreate